package com.liquidnet.service.candy.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class CandyCouponRuleDto implements Serializable, Cloneable {
    private static final long serialVersionUID = -3727352492315559906L;

    private String cruleId;
    private String couponId;
    private Integer useScope;
    private String busiName;
    private String busiId;
    //private Integer state;
    //private String comment;

    private static final CandyCouponRuleDto obj = new CandyCouponRuleDto();

    public static CandyCouponRuleDto getNew() {
        try {
            return (CandyCouponRuleDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new CandyCouponRuleDto();
        }
    }
}
